PAM_DEBUGINFO(8)

NAME
pam_debuginfo - PAM module logging information for debugging

SYNOPSIS

pam_debuginfo.so [...]

DESCRIPTION

This is a PAM module which logs a lot of useful information for debugging. It logs the following information:

    • Service name

    • PAM type

    • PAM flags

    • UID

    • EUID

    • PAM items

    • SELinux status

    • NoNewPrivs status

OPTIONS

loglevel=level
    Define with which syslog(3) level the information should be printed. Valid values are debug, info, notice, warning, error, critical, alert and emerg.

MODULE TYPES PROVIDED

All module types (account, auth, password, session) are provided.

RETURN VALUES

PAM_IGNORE
    Returned by all service types.

EXAMPLES

Add the following line to e.g. /etc/pam.d/login to log all information via syslog(8):

          auth     optional  pam_debuginfo.so
          account  optional  pam_debuginfo.so
          password optional  pam_debuginfo.so
          session  optional  pam_debuginfo.so

SEE ALSO

pam.conf(5), pam.d(5), pam(8)

AUTHOR

pam_debuginfo was written by Thorsten Kukuk <kukuk@suse.com>.